# Retirements

\
Overview
--------

Players can retire from tennis matches at two points; either before the match has started (and it is granted as a walkover for their opposition) or during the match.

## Pre-Match Retirement

This occurs when a player sustained an injury and cannot compete in their next match.

In this case the umpire will log into the tablet and the match will process as follows:

* 'Umpire on Court' packet sent
* 'Retire - Walkover' packet sent, e.g:
* Retire - Walkover JSON

```
{
  "timestamp": "2022-09-07T14:56:30.177Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "00:00:00",
  "seqNum": 2,
  "matchStatus": {
    "umpireCountry": "JAM",
    "umpire": "G. BAXTER",
    "teamAPlayer1": "LYONS",
    "tossChooser": "UnknownTossChooser",
    "matchState": {
      "state": "Retire",
      "reason": "Walkover",
      "team": "TeamA",
      "playerId": 0,
      "locationTimestamp": "2022-09-07T10:56:30"
    },
    "teamBPlayer1": "FICOVICH",
    "numSets": 3,
    "scoringType": "Standard",
    "firstServer": "UnknownTeam",
    "tossWinner": "UnknownTeam",
    "courtNum": 2,
    "teamAPlayersDetails": {
      "player1Id": "000WPL",
      "player1Country": "USA"
    },
    "teamBPlayersDetails": {
      "player1Id": "FA43  ",
      "player1Country": "ARG"
    },
    "umpireCode": "BAXTGE",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

* 'Match Finished' - Retirement packet sent, e.g:
* Match Finished - Retirement JSON

```
{
  "timestamp": "2022-09-07T14:56:32.567Z",
  "reason": "Retirement",
  "eventElementType": "MatchFinished",
  "matchTime": "00:00:00",
  "seqNum": 3,
  "won": "TeamB"
}
```

## In-Match Retirement

A player can retire from injury at any point in a match. The packets are normally sent after a 'Point' packet mid-game, or during a changeover.

It important to note that a retirement packet may or may not be received after a ['Medical Timeout'](https://img-arena.gitbook.io/tennis/-M-nnUijRFbIhBBjSfUz/medical-timeout) - sometimes a player will request medical attention and attempt to continue before retiring, but in other circumstances they will be too injured to continue and will retire without treatment.

An example as follows:

* Retirement - Injury JSON

```
{
  "timestamp": "2022-06-20T15:06:18.612Z",
  "eventElementType": "MatchStatusUpdate",
  "matchTime": "01:14:40",
  "seqNum": 418,
  "matchStatus": {
    "umpireCountry": "GER",
    "umpire": "M. BLEY",
    "teamAPlayer1": "V. SACHKO",
    "tossChooser": "Serve",
    "matchState": {
      "state": "Retire",
      "reason": "Injury",
      "team": "TeamA",
      "playerId": 1,
      "locationTimestamp": "2022-06-20T16:06:18"
    },
    "teamBPlayer1": "D. STRICKER",
    "numSets": 3,
    "scoringType": "LastSetTiebreak12",
    "firstServer": "TeamA",
    "tossWinner": "TeamA",
    "courtNum": 27,
    "teamAPlayersDetails": {
      "player1Id": "SS25",
      "player1Country": "UKR"
    },
    "teamBPlayersDetails": {
      "player1Id": "S0LA",
      "player1Country": "SUI"
    },
    "umpireCode": "KﾀBAAA",
    "tieBreakType": "TieBreakInFinalSet"
  }
}
```

Following this packet, a 'Match Finished' packet will be sent, as above. i.e:

```
{
  "timestamp": "2022-06-20T15:06:23.698Z",
  "reason": "Retirement",
  "eventElementType": "MatchFinished",
  "matchTime": "01:14:40",
  "seqNum": 419,
  "won": "TeamB"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/live-data-scenarios-1/retirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
